using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.RadComboBox1.Items.Add(new RadComboBoxItem("item", "value"));

        this.RadComboBox1.Items[0].DataBind();
    }

    protected override void OnInit(EventArgs e)
    {
        this.RadComboBox1.ItemTemplate = new PageComboTemplate();

        base.OnInit(e);
    }

    public class PageComboTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            HtmlGenericControl div1 = new HtmlGenericControl("div");
            div1.ID = "div1";
            div1.Style.Add(HtmlTextWriterStyle.Display, "block");

            RadTreeView RadTree1 = new RadTreeView();
            RadTree1.ID = "RadTree1";
            RadTree1.OnClientNodeClicking = "nodeClicking";
            RadTree1.Skin = "Web20";
            RadTree1.AllowNodeEditing = false;
            RadTree1.EnableDragAndDrop = false;
            RadTree1.EnableDragAndDropBetweenNodes = false;
            RadTree1.MultipleSelect = false;
            RadTree1.DataBinding += new EventHandler(RadTree1_DataBinding);

            RadTree1.Nodes.Add(new RadTreeNode("node1", "node1"));

            div1.Controls.Add(RadTree1);

            container.Controls.Add(div1);
        }

        protected void RadTree1_DataBinding(object sender, EventArgs e)
        {
        }
    }
}